<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Chats extends REST_Controller {
    
	
    // News methods

    public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('Chats');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    public function create_post()
    {
        $input = $this->input->post();
        $input['createdDate'] = date('d-m-Y h:i:s A');
        $this->common->addnewdatamodel('Chats', $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    } 
     
    
    public function update_post($id)
    {
        $input = $this->input->post();
        
        $this->common->updatedatamodel('Chats', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('Chats', $id);
       
        $this->response(['Chat deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}